Name:		ifstatus
Version:	1.1.0
Release:	9.1
License:	GPL
Url:		http://ifstatus.sourceforge.net/
Group:		System
Summary:	Interface Status Monitor
Source0:	http://ifstatus.sourceforge.net/download/%{name}-v%{version}.tar.gz
Source1:	ifstatus-rpmlintrc
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-include.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	ncurses-devel gcc-c++

%description
IFStatus was developed for Linux users that are usually in console mode.
It is a simple, easy to use program for displaying commonly needed / wanted
statistics in real time about ingoing and outgoing traffic of multiple
network interfaces that is usually hard to find, with a simple and effecient view.


%prep
%setup -n %{name}
%patch0
%patch1

%build
export RPM_LDFLAGS="-L/%{_lib} -L%{_libdir}"
%__make

%install
%__install -d %{buildroot}%{_bindir}
%__make DESTDIR=%{buildroot} install
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_bindir}/if_status

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING
%attr(4755,root,root) %{_bindir}/if_status


%changelog
* Sun Aug 09 2009 Carsten Schoene <cs@linux-administrator.com> - 1.1.0-3
- added small patch to default to eth0

* Sun Aug 02 2009 Carsten Schoene <cs@linux-administrator.com> - 1.1.0-2
- initial build
